draft-vilimek-yang-cbor-inst-id

Encoding rules of YANG instance-identifier in the Concise Binary Object Representation (CBOR)

groupnone stateactive pages11 rev01 expires2026-09-03 canonicalhttps://datatracker.ietf.org/doc/draft-vilimek-yang-cbor-inst-id/
The YANG-CBOR document [RFC9254] defines rules for representing YANG- modeled data [RFC7950] in CBOR [RFC8949]. The YANG-CBOR defines rules for all built-in types, such as int64, leafref, and instance- identifier data type. However it fails to address some cases of the instance-identifier, specifically those pointing to keyless list entries or leaf-list entries. This documents updates [RFC9254] to make the rules complete.